;; BF AST Transformation and IR Optimizations
;; Jon Simons (simonsj at ccs dot neu dot edu)
;; August, 2007
;; -------------------------------------------------------------------------
;; This file can be included once for obtaining all optimization functions.
;;
;; All optimizations are operations which modify BF IR and return BF IR.
;; See the individual optimization source files for details on what they
;; are and how they work.
;; -------------------------------------------------------------------------
(module ops "../bf-ast-transform.scm"

  ;; After a cursory struggle, can't figure out how to do this in a better
  ;; way...
  
  (require "collapse-mults.scm")
  (require "collapse-zeroes.scm")
  
  (provide (all-from "../bf-ast-transform.scm")
           (all-from "collapse-mults.scm")
           (all-from "collapse-zeroes.scm"))
  
  )